Import Files

POST/api/2026-03/import/files
public-api:write
Latest version

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
systemName*
string

Identifier for the system you are importing from, e.g. an archive.

webhook
uri

Endpoint at the importing system that gets notified by POST when import job is done. Notification contains the id of the import job, the state and an overview.

context
object

An object that is passed as context in the body of the request to the webhook. Limited to 8192 Bytes.

files*
array

An array of files to import. Each entry is an object with the following keys, all of which are required:

  • url: a URL to a file
  • id: a unique id (stored as externalId in Livingdocs) that identifies the file on your end, must be unique within your project
  • fileName: the title that the file should get in livingdocs
  • metadata: An object of metadata according to your project config
  • mediaType: The handle of one of the mediaTypes from your project configuration

Description

The file import does both create and update files. The import remembers the externalId / systemName pair and if an import matches an existing pair, it will update (Hint: consider how to rebuild the externalId when you want to update files). The file import in Livingdocs is asynchronous. You post a batch of files that you want to import and get back an id with which you can query later to get your result.

Related

  • Document Import API
  • Import Media Library Entries

Use Cases

  • Initial import from a legacy system - When doing an initial import one usually first imports all files and then imports documents referencing the files.

Responses

GET/api/2026-03/import/files/status
public-api:write
Latest version

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
id*
string

The id that Livingdocs provided you for your prior call to /api/:apiVersion/import/files

Description

You can use this endpoint to check for the status and/or result of a file import.

Responses

⌘ K to search